EndpointsWidgets

Generate session upgrade URL

Returns a URL for the hosted session upgrade widget, to display in an iframe. Present it to the guardian of a session-upgrade challenge minted by `/session/upgrade`, so they can approve the newly requested permissions.

POST
/widget/generate-session-upgrade-url
AuthorizationBearer <token>

In: header

Request Body

application/json

Generate session upgrade URL request

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/widget/generate-session-upgrade-url" \  -H "Content-Type: application/json" \  -d '{    "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802",    "email": "parent@example.com"  }'
{  "url": "https://family.k-id.com/widget",  "shortUrl": "https://family.k-id.com/s/12345678-1234-1234-1234-123456789012?pid=42&s=qr"}